<?xml version="1.0" encoding="UTF-8"?><!--
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>org.apache.shindig</groupId>
    <artifactId>shindig-parent</artifactId>
    <version>1.1-SNAPSHOT</version>
    <relativePath>../pom.xml</relativePath>
  </parent>

  <artifactId>shindig-server</artifactId>
  <packaging>war</packaging>

  <name>Apache Shindig Web App</name>
  <description>Default server war containing both the gadget rendering code and the social api code.</description>

  <scm>
    <connection>scm:svn:http://svn.apache.org/repos/asf/incubator/shindig/trunk/java/server</connection>
    <developerConnection>scm:svn:https://svn.apache.org/repos/asf/incubator/shindig/trunk/java/server</developerConnection>
    <url>http://svn.apache.org/viewvc/incubator/shindig/trunk/java/server</url>
  </scm>

  <properties>
    <runType>full</runType>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-war-plugin</artifactId>
        <configuration>
          <webResources>
            <resource>
              <!-- this is relative to the pom.xml directory -->
              <directory>${basedir}/../../javascript/</directory>
              <targetPath>gadgets/files</targetPath>
              <includes>
                <include>**/*.*</include>
              </includes>
            </resource>
            <resource>
              <targetPath>META-INF</targetPath>
              <directory>target/maven-shared-archive-resources/META-INF</directory>
              <includes>
                <include>**/*</include>
              </includes>
            </resource>
          </webResources>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>maven-jetty-plugin</artifactId>
        <configuration>
          <webAppSourceDirectory>${basedir}/target/shindig-server-${pom.version}</webAppSourceDirectory>
          <contextPath>/</contextPath>
          <webXml>${basedir}/target/shindig-server-${pom.version}/WEB-INF/web.${runType}.xml</webXml>
        </configuration>
      </plugin>
    </plugins>
    <resources>
      <resource>
        <directory>${basedir}/../../javascript/</directory>
        <targetPath>gadgets/files</targetPath>
        <includes>
          <include>**/*.*</include>
        </includes>
      </resource>
      <resource>
        <targetPath>containers/default</targetPath>
        <directory>${basedir}/../../config</directory>
        <includes>
          <include>container.js</include>
        </includes>
      </resource>
      <resource>
        <targetPath>config</targetPath>
        <directory>${basedir}/../../config</directory>
        <includes>
          <include>oauth.json</include>
        </includes>
      </resource>
      <resource>
        <directory>conf</directory>
      </resource>
    </resources>
  </build>

  <dependencies>
    <!-- project dependencies -->
    <dependency>
      <groupId>org.apache.shindig</groupId>
      <artifactId>shindig-common</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.shindig</groupId>
      <artifactId>shindig-common</artifactId>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.shindig</groupId>
      <artifactId>shindig-gadgets</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.shindig</groupId>
      <artifactId>shindig-social-api</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.shindig</groupId>
      <artifactId>shindig-features</artifactId>
    </dependency>

    <!-- external dependencies -->
    <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
    </dependency>
    <dependency>
      <groupId>com.google.collections</groupId>
      <artifactId>google-collections</artifactId>
    </dependency>
    <dependency>
      <groupId>com.google.code.guice</groupId>
      <artifactId>guice</artifactId>
    </dependency>
    <dependency>
      <groupId>aopalliance</groupId>
      <artifactId>aopalliance</artifactId>
    </dependency>
    <dependency>
      <groupId>xml-apis</groupId>
      <artifactId>xml-apis</artifactId>
    </dependency>
    <dependency>
      <groupId>org.json</groupId>
      <artifactId>json</artifactId>
    </dependency>
    <dependency>
      <groupId>org.jsecurity</groupId>
      <artifactId>jsecurity</artifactId>
    </dependency>
    <dependency>
      <groupId>jstl</groupId>
      <artifactId>jstl</artifactId>
    </dependency>

    <!-- test -->
    <dependency>
      <groupId>org.mortbay.jetty</groupId>
      <artifactId>jetty</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>net.sourceforge.htmlunit</groupId>
      <artifactId>htmlunit</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>juel</groupId>
      <artifactId>juel-api</artifactId>
      <scope>test</scope>
    </dependency>
  </dependencies>
</project>
